Gradebook Entries
Alle Operationen rund um Gradebook Entries.
Datenmodell
Die Endpoints dieses Moduls arbeiten auf folgender Entität. Die Schema-Referenz listet jedes Feld mit Typ, Validierung und Beziehungen:
| Entität | Schema-ID | Felder | Sequenz | Permissions |
|---|---|---|---|---|
| Gradebook Entry | gradebook_entry |
6 | — | gradebook_entry_* |
Endpoints
| Methode | Pfad | Operation | Beschreibung |
|---|---|---|---|
POST |
/v1/gradebook_entries |
Create gradebook_entrie | Create a new gradebook_entrie in the active tenant. |
DELETE |
/v1/gradebook_entries/{id} |
Delete gradebook_entrie | Soft delete entity. |
GET |
/v1/gradebook_entries/{id} |
Get gradebook_entrie by id | Fetch a single gradebook_entrie. |
GET |
/v1/gradebook_entries/{id}/linked |
Get linked entities | CodeMeta OS API endpoint. |
GET |
/v1/gradebook_entries/{id}/timeline |
Get timeline | CodeMeta OS API endpoint. |
GET |
/v1/gradebook_entries/{id}/transitions |
List transitions | CodeMeta OS API endpoint. |
GET |
/v1/gradebook_entries |
List gradebook_entries | List gradebook_entries for the active tenant. |
PATCH |
/v1/gradebook_entries/{id} |
Patch gradebook_entrie | JSON Merge Patch update. |
POST |
/v1/gradebook_entries/bulk |
Bulk operation | CodeMeta OS API endpoint. |
POST |
/v1/gradebook_entries/{id}/transition |
POST /v1/gradebook_entries/{id}/transition | CodeMeta OS API endpoint. |
POST |
/v1/gradebook_entries/{id}/transitions/{transitionKey} |
Execute transition | CodeMeta OS API endpoint. |
PUT |
/v1/gradebook_entries/{id} |
Replace gradebook_entrie | Full replace with optimistic locking. |